{ config, pkgs, ... }:

let
  domain = "minecraft.giugl.io";
  network = import ./network.nix;
in
{
  services.minecraft-server = {
    enable = true;
    eula = true;
    declarative = true;
    package = pkgs.unstable.minecraft-server;
    serverProperties = { motd = "Welcome on the RuNas server!"; };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
    ${network.architect-ts} ${domain}
  '';
}
