{ config, pkgs, ... }:

{
  home = {
    sessionVariables = {
      EDITOR = "hx";
      VISUAL = "hx";
    };

    file.".config/helix/config.toml".text = ''
      theme = "monokai_pro_spectrum"

      [editor]
      cursorline = true
      true-color = true

      [editor.cursor-shape]
      insert = "bar"
      normal = "block"
      select = "underline"

      [editor.lsp]
      display-messages = true

      [editor.indent-guides]
      render = true
    '';

    packages = with pkgs.unstable; [
      helix
      clang-tools
      rust-analyzer
      nil
      python310Packages.python-lsp-server
      texlab
      nodePackages.vscode-langservers-extracted
      nodePackages.typescript
      nodePackages.svelte-language-server
    ];
  };
}
